import java.io.Serializable;
import java.util.*;
import java.sql.*;
import org.hibernate.*;
import org.hibernate.cfg.*;
import org.hibernate.criterion.*;
import org.hibernate.event.*;
import org.hibernate.event.def.*;

public class Main {
   public static void main(String[] args) throws Exception {
      HibernateUtil.setup("create table account (id varchar not null,name varchar,accountnumber varchar,setup Date,balance double);");    



      Session session = HibernateUtil.currentSession();

      BasicAccount account = new BasicAccount();

      account.setName("Joe");
      account.setAccountnumber("39084");
      account.setSetupdate(new java.util.Date());
      account.setBalance(4054.00);

      session.save(account);
      session.flush();

      BasicAccount account2 = (BasicAccount)session.load
            (BasicAccount.class, account.getId());

      System.out.println(account.getId() + " : " + account.getSetupdate());
      System.out.println(account2.getId() +
             " : " + account2.getSetupdate());

      session.close();


      session.close();
      HibernateUtil.checkData("select * from account");
   }
}
